# FModifierFunctionGenerator(FModifier)

base classes — `bpy_struct`, `FModifier`

class `bpy.types.``FModifierFunctionGenerator`(FModifier)

  Generate values using a Built-In Function

  `amplitude`

    Scale factor determining the maximum/minimum values

    Type: | float in [-inf, inf], default 0.0

  `function_type`

    Type of built-in function to use

    - `SIN` Sine.
    - `COS` Cosine.
    - `TAN` Tangent.
    - `SQRT` Square Root.
    - `LN` Natural Logarithm.
    - `SINC` Normalized Sine, sin(x) / x.

    Type: | enum in [‘SIN’, ‘COS’, ‘TAN’, ‘SQRT’, ‘LN’, ‘SINC’], default ‘SIN’

  `phase_multiplier`

    Scale factor determining the ‘speed’ of the function

    Type: | float in [-inf, inf], default 0.0

  `phase_offset`

    Constant factor to offset time by for function

    Type: | float in [-inf, inf], default 0.0

  `use_additive`

    Values generated by this modifier are applied on top of the existing values instead of overwriting them

    Type: | boolean, default False

  `value_offset`

    Constant factor to offset values by

    Type: | float in [-inf, inf], default 0.0

Inherited Properties

`bpy_struct.id_data` `FModifier.type` `FModifier.show_expanded` `FModifier.mute` `FModifier.is_valid` `FModifier.active` `FModifier.use_restricted_range` | `FModifier.frame_start` `FModifier.frame_end` `FModifier.blend_in` `FModifier.blend_out` `FModifier.use_influence` `FModifier.influence`

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`